Bug 54316 - Cannot rebuild Guppi from the .src.rpm on RH71
Summary: Cannot rebuild Guppi from the .src.rpm on RH71
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: Guppi   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-04 09:23 UTC by Need Real Name
Modified: 2014-03-17 02:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-06 03:22:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-10-04 09:23:21 UTC
Hi!

When I try:
rpm --rebuild Guppi-0.35.5-7.src.rpm

I obtain:
....
/bin/sh ../../libtool --mode=link gcc  -O2 -march=i386 -mcpu=i686 -Wall
-Wunused   -o libguppispecfns.la -rpath /usr/lib -version-info 11:0:0  -lm
-lglib bdtr.lo btdtr.lo chdtr.lo choose.lo const.lo fdtr.lo gamma.lo
gdtr.lo hypergeom.lo igam.lo igami.lo incbet.lo incbi.lo mtherr.lo nbdtr.lo
ndtr.lo ndtri.lo pdtr.lo polyeval.lo stdtr.lo unity.lo
../libguppiuseful/libguppiuseful.la 
libtool: link: error: cannot link shared libraries into libtool libraries
make[3]: *** [libguppispecfns.la] Error 1
make[3]: Leaving directory
`/usr/src/redhat/BUILD/Guppi-0.35.5/src/libguppispecfns'make[2]: ***
[all-recursive] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/Guppi-0.35.5/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/Guppi-0.35.5'
make: *** [all-recursive-am] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.95489 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.95489 (%build)

Comment 1 Bill Nottingham 2001-10-04 19:36:39 UTC
It probably needs to buildprereq the current (rawhide) libtool.

Comment 2 Bill Nottingham 2002-02-06 03:22:28 UTC
What release are you trying to build on?

Comment 3 Bill Nottingham 2002-02-06 03:24:24 UTC
Nevermind, the buildprereq will be added in Guppi-0.40.3-3.


Note You need to log in before you can comment on or make changes to this bug.